package com.jcg.examplenew;

import com.fasterxml.jackson.databind.ObjectMapper;

import java.util.Map;

public class JsonToMapExample {

    public static void main(String[] args) {

        String jsonString = "{ \"key1\": \"value1\", \"key2\": 42, \"key3\": [1, 2, 3] }";

        ObjectMapper objectMapper = new ObjectMapper();

        try {
            // Deserialize JSON string to a Map
            Map<String, Object> resultMap = objectMapper.readValue(jsonString, Map.class);

            // Now you can work with the resultMap as a Java Map
            System.out.println(resultMap);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
