package com.jcg.examplenew;

import com.google.gson.Gson;

import java.lang.reflect.Type;
import java.util.Map;

public class JsonToMapUsingGson {
    public static void main(String[] args) {
        String jsonString = "{ \"key1\": \"value1\", \"key2\": 42, \"key3\": [1, 2, 3] }";

        Gson gson = new Gson();

        // Define the Type for the map with String keys and Object values
        Type mapType = Map.class;

        // Convert JSON string to a map using Gson
        Map<String, Object> resultMap = gson.fromJson(jsonString, mapType);

        // Now you can work with the resultMap as a Java Map
        System.out.println(resultMap);
    }
}
